Bug 1266694 - [abrt] gnome-boxes: snprintf(): gnome-boxes killed by SIGSEGV
[abrt] gnome-boxes: snprintf(): gnome-boxes killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-boxes (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christophe Fergeau
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:bf817e948cc472b317bf6158a1f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-26 12:06 EDT by Erwan GEORGET
Modified: 2016-12-20 09:46 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:46:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (185.24 KB, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: core_backtrace (80.04 KB, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: dso_list (19.26 KB, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: environ (900 bytes, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: exploitable (110 bytes, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: maps (92.53 KB, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: mountinfo (3.79 KB, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: namespaces (85 bytes, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: open_fds (2.69 KB, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: proc_pid_status (1017 bytes, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details
File: var_log_messages (307 bytes, text/plain)
2015-09-26 12:06 EDT, Erwan GEORGET
no flags Details

  None (edit)
Description Erwan GEORGET 2015-09-26 12:06:25 EDT
Description of problem:
Fresh Fedora 23 beta install, tried to create a new "Box" with a Kali 2.0 and a Fedora 22 iso, crashed during the creation process.

Steps :

1 -> Create a new box
2 -> Select a local iso file
3 -> Clic on "create"

4 -> Crash

Version-Release number of selected component:
gnome-boxes-3.18.0-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-boxes --gapplication-service
crash_function: snprintf
executable:     /usr/bin/gnome-boxes
global_pid:     28194
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 snprintf at /usr/include/bits/stdio2.h:64
 #5 virUUIDFormat at util/viruuid.c:214
 #6 virDomainOpenGraphicsFD at libvirt-domain.c:10350
 #7 gvir_domain_open_graphics_fd at libvirt-gobject-domain.c:1261
 #8 ____lambda183_ at /home/zeenix/checkout/gnome/gnome-boxes/src/libvirt-machine.vala:85
 #9 _____lambda183__boxes_display_open_fd_func at libvirt-machine.c:1382
 #10 boxes_spice_channel_handler_on_open_fd at /home/zeenix/checkout/gnome/gnome-boxes/src/spice-display.vala:507
 #11 _boxes_spice_channel_handler_on_open_fd_spice_channel_open_fd at /home/zeenix/checkout/gnome/gnome-boxes/src/spice-display.vala:482
 #12 g_cclosure_marshal_VOID__ENUMv at gmarshal.c:1496
 #13 _g_closure_invoke_va at gclosure.c:864
Comment 1 Erwan GEORGET 2015-09-26 12:06:33 EDT
Created attachment 1077470 [details]
File: backtrace
Comment 2 Erwan GEORGET 2015-09-26 12:06:35 EDT
Created attachment 1077471 [details]
File: cgroup
Comment 3 Erwan GEORGET 2015-09-26 12:06:38 EDT
Created attachment 1077472 [details]
File: core_backtrace
Comment 4 Erwan GEORGET 2015-09-26 12:06:40 EDT
Created attachment 1077473 [details]
File: dso_list
Comment 5 Erwan GEORGET 2015-09-26 12:06:41 EDT
Created attachment 1077474 [details]
File: environ
Comment 6 Erwan GEORGET 2015-09-26 12:06:43 EDT
Created attachment 1077475 [details]
File: exploitable
Comment 7 Erwan GEORGET 2015-09-26 12:06:44 EDT
Created attachment 1077476 [details]
File: limits
Comment 8 Erwan GEORGET 2015-09-26 12:06:47 EDT
Created attachment 1077477 [details]
File: maps
Comment 9 Erwan GEORGET 2015-09-26 12:06:49 EDT
Created attachment 1077478 [details]
File: mountinfo
Comment 10 Erwan GEORGET 2015-09-26 12:06:50 EDT
Created attachment 1077479 [details]
File: namespaces
Comment 11 Erwan GEORGET 2015-09-26 12:06:52 EDT
Created attachment 1077480 [details]
File: open_fds
Comment 12 Erwan GEORGET 2015-09-26 12:06:53 EDT
Created attachment 1077481 [details]
File: proc_pid_status
Comment 13 Erwan GEORGET 2015-09-26 12:06:55 EDT
Created attachment 1077482 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2016-11-24 07:37:12 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 09:46:14 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.